VERSION 5.00
Object = "{25BB43AC-B179-11D8-92B0-F3F008CD8128}#1.0#0"; "AheadStudio.ocx"
Begin VB.Form frmASExtractIcon 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Ahead Studio Suite: ASExtractIcon"
   ClientHeight    =   4995
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6165
   Icon            =   "frmASExtractIcon.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   4995
   ScaleWidth      =   6165
   StartUpPosition =   2  'CenterScreen
   Begin PSAheadStudio.ASExtractIcon ASExtractIcon1 
      Left            =   5280
      Top             =   120
      _ExtentX        =   1296
      _ExtentY        =   1296
   End
   Begin VB.PictureBox picIconDrawingArea 
      AutoRedraw      =   -1  'True
      Height          =   615
      Left            =   3360
      ScaleHeight     =   555
      ScaleWidth      =   555
      TabIndex        =   11
      Top             =   4080
      Width           =   615
   End
   Begin VB.Frame Frame1 
      Caption         =   "Icon Viewer:"
      Height          =   1215
      Left            =   120
      TabIndex        =   4
      Top             =   3600
      Width           =   4050
      Begin VB.HScrollBar IconScroll 
         Enabled         =   0   'False
         Height          =   270
         Left            =   165
         Max             =   0
         Min             =   1
         TabIndex        =   5
         Top             =   690
         Width           =   2970
      End
      Begin VB.Label lblIconIndex 
         AutoSize        =   -1  'True
         BackStyle       =   0  'Transparent
         Caption         =   "Icon #?"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   195
         Left            =   3120
         TabIndex        =   10
         Top             =   240
         Width           =   675
      End
      Begin VB.Label lblIconsCount 
         BackStyle       =   0  'Transparent
         Caption         =   "No File Selected."
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   420
         Left            =   165
         TabIndex        =   6
         Top             =   255
         Width           =   2745
      End
   End
   Begin VB.DriveListBox Drive1 
      Height          =   315
      Left            =   75
      TabIndex        =   3
      Top             =   1680
      Width           =   3030
   End
   Begin VB.DirListBox Dir1 
      Height          =   1440
      Left            =   75
      TabIndex        =   2
      Top             =   2055
      Width           =   3030
   End
   Begin VB.FileListBox File1 
      Height          =   1845
      Left            =   3240
      Pattern         =   "*.exe;*.dll;*.ico;*.ocx;*.cpl"
      TabIndex        =   1
      Top             =   1665
      Width           =   2865
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "&Close"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   465
      Left            =   4320
      TabIndex        =   0
      Top             =   4320
      Width           =   1725
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      BackColor       =   &H00000000&
      Caption         =   "ASExtractIcon Control"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   14.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H0000FFFF&
      Height          =   330
      Left            =   150
      TabIndex        =   9
      Top             =   120
      Width           =   3090
   End
   Begin VB.Label Label2 
      BackColor       =   &H00000000&
      Caption         =   $"frmASExtractIcon.frx":1CCA
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00C0C0C0&
      Height          =   780
      Left            =   120
      TabIndex        =   8
      Top             =   480
      Width           =   5985
   End
   Begin VB.Shape Shape1 
      BackColor       =   &H00000000&
      BackStyle       =   1  'Opaque
      BorderColor     =   &H00000000&
      Height          =   1290
      Left            =   -120
      Top             =   0
      Width           =   8505
   End
   Begin VB.Label Label3 
      AutoSize        =   -1  'True
      Caption         =   "Select A Drive, Folder, and File:"
      Height          =   195
      Left            =   120
      TabIndex        =   7
      Top             =   1440
      Width           =   2235
   End
End
Attribute VB_Name = "frmASExtractIcon"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdClose_Click()
    End
End Sub

Private Sub Dir1_Change()
    File1.Path = Dir1.Path
End Sub

Private Sub Drive1_Change()
    On Error Resume Next
    
    Dim sDrive As String
    sDrive = Left$(Drive1.Drive, 1) & ":"
    Err.Clear
    Dir1.Path = sDrive
    If Err.Number <> 0 Then
        MsgBox "Drive not available (Or isn't ready)", vbInformation, "Drive Not Ready"
        Exit Sub
    End If
    File1.Path = Dir1.Path
End Sub

Private Sub File1_Click()
    ASExtractIcon1.FileName = File1.Path & "\" & File1.FileName
    
    If ASExtractIcon1.Count > 0 Then
        lblIconsCount = "Specify the Icon you want to display (1 to " & ASExtractIcon1.Count & "):"
        IconScroll.Max = ASExtractIcon1.Count
        IconScroll.Value = 1
        IconScroll.Enabled = True
        IconScroll_Change
    Else
        lblIconsCount = "No Icons Found!"
        lblIconIndex = "Icon #?"
        IconScroll.Max = 0
        IconScroll.Value = 0
        IconScroll.Enabled = False
        picIconDrawingArea.Cls
    End If
End Sub

Private Sub IconScroll_Change()
    On Error Resume Next
    
    lblIconIndex = "Icon #" & IconScroll.Value
    picIconDrawingArea.Cls
    ASExtractIcon1.Extract IconScroll.Value, ah32x32, picIconDrawingArea.hDC, 1, 1
End Sub

